summaryrefslogtreecommitdiff
path: root/pre-commit.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pre-commit.sh')
-rwxr-xr-xpre-commit.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/pre-commit.sh b/pre-commit.sh
new file mode 100755
index 0000000..0fffe95
--- /dev/null
+++ b/pre-commit.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+if [ -x /usr/bin/yarn ]; then
+ yarns/run-tests --env TESTS=fast
+else
+ echo "Please install cmdtest to use the pre-commit hook!"
+ exit 1
+fi